Package de.willuhn.jameica.hbci.gui.parts

# Class PanelButtonNew

java.lang.Object
de.willuhn.jameica.gui.parts.PanelButton
de.willuhn.jameica.hbci.gui.parts.PanelButtonNew

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class PanelButtonNew extends de.willuhn.jameica.gui.parts.PanelButton
Vorkonfigurierter Button fuer die Erstellung eines neuen Auftrages.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.PanelButton

`BG_DEFAULT, BG_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`PanelButtonNew(Class type)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.gui.parts.PanelButton

`getControl, handleClick, isEnabled, paint, setAction, setEnabled, setIcon, setText, setTooltip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PanelButtonNew

public PanelButtonNew(Class type)
ct.

Parameters:
  `type` - der Typ es Auftrages.